2016-03-11  TJ Saunders <tj@castaglia.org>

	* RELEASE_NOTES: Updated release notes to mention DH selection
	issue.

2016-03-10  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS with release date.

2016-03-10  TJ Saunders <tj@castaglia.org>

	* contrib/dist/rpm/proftpd.spec: Update rpm .spec file for 1.3.5b
	release.

2016-03-10  TJ Saunders <tj@castaglia.org>

	* RELEASE_NOTES: Preparing release notes for a 1.3.5b release.

2016-03-10  TJ Saunders <tj@castaglia.org>

	* contrib/mod_tls.c: Fix build errors; used wrong variable name, and
	pushed without building.  Shame.

2016-03-10  TJ Saunders <tj@castaglia.org>

	* NEWS, contrib/mod_tls.c: Backport of fix for Bug#4230 to 1.3.5
	branch.

2016-02-23  TJ Saunders <tj@castaglia.org>

	* NEWS: Adding mention of backport of fix for Bug#4227.

2016-02-22  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/fxp.c: Bug#4227: Support SFTP clients that send
	multiple INIT requests.

2016-01-26  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS with backport of fix for Bug#4223.

2016-01-26  TJ Saunders <tj@castaglia.org>

	* modules/mod_xfer.c: Bug#4223: Permissions on files uploaded via
	STOU do not honor configured Umask.

2016-01-15  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of fix for Bug#4217.

2016-01-15  TJ Saunders <tj@castaglia.org>

	* modules/mod_auth.c: Address Bug#4217, as requested, to be slightly
	more indicative, via response codes and messages, of the issue with
	reauthentication.

2016-01-03  TJ Saunders <tj@castaglia.org>

	* contrib/mod_tls.c: Per RFC 4217, Section 15.3, require
	authentication before accepting the CCC command, to mitigate
	anonymous clients from issuing AUTH/CCC in loops, tying up server
	resources.

2015-12-17  TJ Saunders <tj@castaglia.org>

	* Make.rules.in, lib/Makefile.in, modules/Makefile.in,
	src/Makefile.in, src/ftpscrub.c, utils/Makefile.in: Backport the fix
	for the 'make dist' target to the 1.3.5 branch.

2015-12-14  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS with backport of fix for Bug#4212.

2015-12-11  TJ Saunders <tj@castaglia.org>

	* modules/mod_facts.c: Make sure we handle the same issue for MLSD
	commands, too.

2015-12-11  TJ Saunders <tj@castaglia.org>

	* modules/mod_core.c, modules/mod_ls.c, src/data.c: Make sure that
	the port number logged in the "RootRevoke in effect" messages is
	accurate.  Enforce the case where RootRevoke is on, but the client has ignored
	our error responses to PORT/EPRT, and had requested a data transfer
	anyway.  We do this by returning an error response for the data
	transfer command (e.g. LIST, STOR, etc) before we even attempt to
	make the connection.

2015-12-11  TJ Saunders <tj@castaglia.org>

	* contrib/mod_ldap.c: Fix mod_ldap build issue when building against
	e.g. OpenLDAP-2.3.x.

2015-12-10  TJ Saunders <tj@castaglia.org>

	* modules/mod_auth.c: Provide slightly more informative message
	about active data transfers being affected by "RootRevoke on".

2015-12-10  TJ Saunders <tj@castaglia.org>

	* lib/tpl.c: Remove unused variables and prevent compiler warnings
	on Mac OSX (and probably others).

2015-11-28  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/kbdint.c: Remove now-unneeded cast.

2015-11-28  TJ Saunders <tj@castaglia.org>

	* NEWS: Updated NEWS with backport of fix for Bug#4210.

2015-11-28  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/fxp.c: Correct the parameters to talk of
	"extended attributes", not SFTP extensions.

2015-11-28  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/fxp.c: Bug#4210 - Avoid unbounded SFTP extension
	key/values.

2015-11-28  TJ Saunders <tj@castaglia.org>

	* NEWS: Backport of fix for Bug#4209 to 1.3.5 branch.

2015-11-28  TJ Saunders <tj@castaglia.org>

	* src/pool.c: Bug#4209 - Zero-length memory allocation possible,
	with undefined results.

2015-11-28  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/kbdint.c, contrib/mod_sftp/mod_sftp.h.in,
	contrib/mod_sftp_pam.c: Avoid possible signedness mismatch when
	comparing the expected/received number of SSH keyboard-interactive
	challenge responses.

2015-08-26  tjsaunders <tj@lyveminds.com>

	* NEWS, modules/mod_facts.c: Backport of fix for Bug#4202 to 1.3.5
	branch.

2015-08-18  tjsaunders <tj@lyveminds.com>

	* NEWS, contrib/mod_sftp/scp.c: Backporting the fix for Bug#4201 to
	the 1.3.5 branch.

2015-08-15  tjsaunders <tj@lyveminds.com>

	* configure, configure.in: Backporting configure changes from
	master, for detecting when to add the -pthread flag, e.g. when using
	OpenSSL on FreeBSD.

2015-08-15  tjsaunders <tj@lyveminds.com>

	* contrib/mod_sftp/utf8.c, src/encode.c, src/inet.c, src/support.c: 
	Backporting fixes/changes for DARWIN12 from master to 1.3.5.

2015-08-12  tjsaunders <tj@lyveminds.com>

	* src/main.c: Backporting errno handling fix from master.

2015-08-12  tjsaunders <tj@lyveminds.com>

	* src/main.c: Make sure to clear out any cached errno, too.

2015-08-12  tjsaunders <tj@lyveminds.com>

	* src/main.c: Make sure to clear any possibly-cached errno value in
	the main select() loop.

2015-08-09  tjsaunders <tj@lyveminds.com>

	* contrib/mod_sftp/kex.c: Backport a tweak from master, with regard
	to the timing of logging of the NEWKEYS command.

2015-08-06  tjsaunders <tj@lyveminds.com>

	* NEWS, modules/mod_facts.c: Bug#4198 - MLSD/MLST fact type "cdir"
	is incorrectly used for the current working directory.  Conflicts: 	modules/mod_facts.c

2015-07-28  tjsaunders <tj@lyveminds.com>

	* NEWS, contrib/mod_sftp/kex.c, contrib/mod_sftp/keys.c: Backport of
	the fix for Bug#4097 to the 1.3.5 branch.

2015-07-25  tjsaunders <tj@lyveminds.com>

	* src/fsio.c, tests/api/fsio.c: If either of the arguments to
	pr_fs_dircat() are empty strings, be consistent and append a "/"
	character, just as is done when BOTH arguments are empty strings.

2015-07-25  tjsaunders <tj@lyveminds.com>

	* src/fsio.c, tests/api/fsio.c: Bug#4194: Add more checks for empty
	paths in pr_fs_dircat().

2015-07-25  tjsaunders <tj@lyveminds.com>

	* tests/api/str.c: Bug#4193 - Out of bounds read in tests/api/str.c.

2015-07-24  tjsaunders <tj@lyveminds.com>

	* modules/mod_log.c: More backporting of fixes from master, with
	regard to using the "default" LogFormat, whilst still allowing
	configs to override that using "default" as a nickname if they wish.

2015-07-24  tjsaunders <tj@lyveminds.com>

	* modules/mod_log.c: Backport the fix for looking/using the default
	LogFormat, from master.

2015-07-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/keys.c, contrib/mod_sftp/mod_sftp.c: Fix handling
	of just ECDSA SSH host keys in mod_sftp; backported the code from
	master.

2015-07-17  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS for backport of fix for Bug#4191.

2015-07-15  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sql_mysql.c: Bug#4191 - Use "utf8mb4" for MySQL, not
	just "utf8", if the version of MySQL is new enough, for UTF8
	encodings.

2015-05-31  TJ Saunders <tj@castaglia.org>

	* NEWS: Updating NEWS for backport of fix for Bug#4187.

2015-05-30  TJ Saunders <tj@castaglia.org>

	* contrib/mod_geoip.c: Bug#4187 - mod_geoip does not load all of the
	GeoIPTables properly.

2015-05-27  tjsaunders <tj@lyveminds.com>

	* include/version.h: Update files for maint status.

2015-05-27  tjsaunders <tj@lyveminds.com>

	* NEWS, contrib/dist/rpm/proftpd.spec: Warming up for pending 1.3.5a
	maint release.

2015-04-29  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS for backport of fix for Bug#4178.

2015-04-29  tjsaunders <tj@lyveminds.com>

	* contrib/mod_tls.c: Bug#4178: When accepting a TLS connection for
	data transfers, disable the storing of session IDs in the session
	cache; we want to require that all data connections reuse the
	session ID from the control connection, not add their own sessions.
	If the NoSessionReuseRequired option is used, then it doesn't matter
	whether we add data connection session IDs to the cache or not; if
	that option is NOT used, then we only want sessions in the cache
	that have been added for control connections.  But we DO want to support lookup of session IDs in the session cache
	for data connections (to enforce session reuse).  Thus we toggle the
	OpenSSL SSL_SESS_CACHE_NO_INTERNAL_STORE flag for the duration of a
	data connection TLS handshake.

2015-04-28  tjsaunders <tj@lyveminds.com>

	* src/data.c: Fix segfault due to null pointer dereference.  Conflicts: 	src/data.c

2015-04-22  TJ Saunders <tj@castaglia.org>

	* contrib/mod_copy.c, include/cmd.h: Fix broken build by removing
	references to function that has not been backported to the 1.3.5
	branch.

2015-04-22  TJ Saunders <tj@castaglia.org>

	* src/privs.c: Change the logging priority based on errno
	consistently.

2015-04-07  tjsaunders <tj@lyveminds.com>

	* contrib/mod_copy.c, modules/mod_core.c, modules/mod_xfer.c: 
	Updating modules to use the PR_ prefixed macros.

2015-04-07  tjsaunders <tj@lyveminds.com>

	* RELEASE_NOTES: Update release notes for pending maint release.

2015-04-07  tjsaunders <tj@lyveminds.com>

	* src/inet.c: Backporting fix from master, for compiling when the
	--disable-ipv6 compile-time option is used.

2015-04-07  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS for backport of fix for Bug#4169.

2015-04-06  TJ Saunders <tj@castaglia.org>

	* RELEASE_NOTES, contrib/mod_copy.c, doc/contrib/mod_copy.html,
	tests/t/lib/ProFTPD/Tests/Modules/mod_copy.pm: Turns out that
	mod_copy inadvertently allows unauthenticated copying.  Worse, it
	does not provide an Engine directive for disabling the module in
	builds that have it enabled.  Conflicts: 	RELEASE_NOTES 	doc/contrib/mod_copy.html

2015-04-05  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/mac.c: Fix typo/bug, backported from master.

2015-04-05  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/kbdint.c: Backport fix for memory leak when
	handling 'keyboard-interactive' SSH authentication.

2015-04-02  TJ Saunders <tj@castaglia.org>

	* modules/mod_ls.c: Backporting fix from master, with regard to
	ASCII translation of emitted directory listings.

2015-03-31  tjsaunders <tj@lyveminds.com>

	* contrib/mod_sftp/fxp.c: Backporting fix from the investigation for
	Bug#4166, to prevent memory leaking during handling of SFTP REMOVE
	requests.

2015-03-31  tjsaunders <tj@lyveminds.com>

	* src/bindings.c: Make namebind create/open failures less noisy, as
	part of backporting part of the fix from master.

2015-03-16  TJ Saunders <tj@castaglia.org>

	* tests/api/fsio.c: Fix the FSIO unit tests for 1.3.5.

2015-03-15  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS with backport of fix for Bug#4160.

2015-03-15  tjsaunders <tj@lyveminds.com>

	* contrib/mod_sftp/fxp.c: Bug#4160 - Malformed response to
	SSH_FXP_REALPATH with SFTP version 6.

2015-03-14  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS for backport of fix for Bug#4156.

2015-03-01  TJ Saunders <tj@castaglia.org>

	* include/fsio.h, lib/sstrncpy.c, src/fsio.c, tests/api/fsio.c,
	tests/api/str.c: Bug#4156 - Segfault handling LIST/NLST FTP command
	on Mac OS X.  Conflicts: 	tests/api/fsio.c

2015-02-27  TJ Saunders <tj@castaglia.org>

	* lib/pr_fnmatch_loop.c: Backport glibc fix for a memory overread
	for certain fnmatch patterns.

2015-02-19  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp_sql.c: Fix additional issue related to Bug#4155,
	where the buffer overrun could happen for bad key data.  This also
	adds a log message for the future, pinpointing the root of the
	problem.

2015-02-17  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS for backport of fix for Bug#4155.

2015-02-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp_sql.c: No, it should be "Subject: ", not
	"Comment: "; these are 2 different headers defined by RFC 4716.

2015-02-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp_sql.c: Bug#4155 - SSH keys with too-long Comment
	headers aren't recognized by mod_sftp_sql.  Conflicts: 	contrib/mod_sftp_sql.c

2015-02-17  tjsaunders <tj@lyveminds.com>

	* modules/mod_ls.c: Backporting fix from master branch.

2015-02-04  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS with backport of fix for Bug#4152.

2015-02-04  tjsaunders <tj@lyveminds.com>

	* src/main.c: Change the ordering, so that we can short-circuit the
	checks faster.

2015-02-04  tjsaunders <tj@lyveminds.com>

	* src/main.c: Bug#4152 - Reduce logging of non-fatal "unable to open
	incoming connection" errors.

2015-02-03  tjsaunders <tj@lyveminds.com>

	* src/data.c: Clear the "have dangling CR" flag on data reset as
	well.

2015-02-03  tjsaunders <tj@lyveminds.com>

	* src/data.c: Reset any ASCII transformation state, possibly
	leftover from previous transfers, when preparing for a data transfer
	(Bug#4150).

2015-02-03  tjsaunders <tj@lyveminds.com>

	* NEWS: Update NEWS with backport of fix for Bug#4145.

2015-02-03  TJ Saunders <tj@castaglia.org>

	* modules/mod_auth_file.c,
	tests/t/lib/ProFTPD/Tests/Modules/mod_auth_file.pm: Bug#4145 -
	Segfault if AuthUserFile is a relative symlink.

2014-12-15  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS with backport of fix for Bug#4143.

2014-12-15  tjsaunders <tj@lyveminds.com>

	* src/cmd.c, src/main.c: Update the comments with the appropriate
	bug number.

2014-12-14  TJ Saunders <tj@castaglia.org>

	* include/cmd.h, include/dirtree.h, include/session.h, src/cmd.c,
	src/main.c, tests/t/http.t, tests/t/lib/ProFTPD/Tests/HTTP.pm,
	tests/t/lib/ProFTPD/Tests/SMTP.pm, tests/t/smtp.t: If we detect HTTP
	or SMTP commands, drop the connection.  This prevents proftpd from
	being used as a staging server for nefarious attacks on other
	protocol servers.  Conflicts: 	include/cmd.h

2014-12-08  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of fix for Bug#4140.

2014-12-08  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/fxp.c,
	tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm: Bug#4140 - SFTP
	READLINK requests to symlinks to directories fail.

2014-12-08  TJ Saunders <tj@castaglia.org>

	* NEWS: Remove duplicate entry in NEWS.

2014-12-01  tjsaunders <tj@lyveminds.com>

	* NEWS: Backported fix for Bug#4137.

2014-12-01  TJ Saunders <tj@castaglia.org>

	* contrib/mod_geoip.c: Add some additional logging, to help clarify
	things.

2014-11-29  TJ Saunders <tj@castaglia.org>

	* contrib/mod_geoip.c: Bug#4137 - GeoIPDenyFilter incorrectly takes
	precedence over GeoIPAllowFilter.

2014-11-29  TJ Saunders <tj@castaglia.org>

	* config.h.in, configure, configure.in, src/ctrls.c: Issue #75: Add
	configure-time check for struct sockpeercred (as used on OpenBSD
	systems), and update the Controls API to use this.

2014-11-16  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of fix for Bug#4133.

2014-11-16  TJ Saunders <tj@castaglia.org>

	* contrib/mod_ldap.c: Bug#4133 -  LDAPUsers directive does not honor
	uid-number-filter-template parameter.

2014-11-09  TJ Saunders <tj@castaglia.org>

	* NEWS, contrib/mod_sftp/configure: Update NEWS, regenerate mod_sftp
	configure, for backport of fix for Bug#4131.

2014-11-07  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/configure.in: Fix mod_sftp's autoconf script to
	properly detect OpenSSL support for SHA2.

2014-11-03  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Update NEWS for backport of fix for Bug#4129.

2014-11-03  tjsaunders <tjsaunders@blackpearlsystems.com>

	* contrib/mod_sql.c: Bug#4129 - mod_sql caches incorrect UID/GID
	when name cannot be retrieved.

2014-10-27  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of fix for Bug#4124.

2014-10-27  TJ Saunders <tj@castaglia.org>

	* modules/mod_xfer.c: Bug#4124 - DeleteAbortedStores defaults to
	"on" for all transfers, not just HiddenStores.  Conflicts: 	modules/mod_xfer.c

2014-10-23  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Updates NEWS with backport of fix for Bug#4116.

2014-10-22  tjsaunders <tjsaunders@blackpearlsystems.com>

	* contrib/mod_tls.c: Bug#4116 - Report exact SSL/TLS protocol
	version used in client connections.

2014-10-22  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS, RELEASE_NOTES, contrib/mod_tls.c: Backport the fixes for
	Bug#4114 to the 1.3.5 branch.

2014-10-19  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of Bug#4112.

2014-10-05  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/cipher.c, contrib/mod_sftp/kex.c,
	contrib/mod_sftp/mac.c: Increase buffer sizes where we write out
	mpints during the key exchange process, for Bug#4112.

2014-09-14  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/cipher.c, contrib/mod_sftp/mac.c: Increase cipher
	and MAC buffer sizes, as a (somewhat educated) guess as to what
	might be causing the issues reported here:   https://forums.proftpd.org/smf/index.php/topic,11611.0.html

2014-09-28  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of fix for Bug#4109.

2014-09-28  TJ Saunders <tj@castaglia.org>

	* src/inet.c: Bug#4109 - setsockopt() call for IPV6_TCLASS should
	use IPPROTO_IPV6.

2014-09-23  TJ Saunders <tj@castaglia.org>

	* NEWS, RELEASE_NOTES: Update news, release notes for backported fix
	for Bug#4108.

2014-09-23  TJ Saunders <tj@castaglia.org>

	* contrib/mod_tls.c: Bug#4108 - SSL handshakes for data connections
	sometimes stall for 3-30 seconds.

2014-08-11  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Update NEWS for backport of fix for Bug#4094.

2014-08-11  TJ Saunders <tj@castaglia.org>

	* doc/howto/DisplayFiles.html, src/display.c,
	tests/t/lib/ProFTPD/Tests/Config/DisplayConnect.pm: Bug#4094 -
	Available space on file system using %f displays wrong value.

2014-07-28  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Update NEWS for backport of fix for Bug#4091.

2014-07-28  tjsaunders <tjsaunders@blackpearlsystems.com>

	* src/privs.c: Reduce the scope of the logging changes to just those
	PRIVS calls related to the effective (rather than the real) IDs.

2014-07-27  TJ Saunders <tj@castaglia.org>

	* src/privs.c: Bug#4091 - Log "Operation not permitted" privs errors
	at NOTICE rather than ERROR.

2014-07-25  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS, contrib/mod_wrap2_file.c: Update NEWS for backport of fix
	for Bug#4090.

2014-07-25  TJ Saunders <tj@castaglia.org>

	* contrib/mod_wrap2/mod_wrap2.c, contrib/mod_wrap2_file.c,
	tests/t/lib/ProFTPD/Tests/Modules/mod_wrap2_file.pm: Bug#4090 -
	mod_wrap2_file does not support IPv6 addresses properly.

2014-07-25  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Updated NEWS for backport of fix for Bug#4089.

2014-07-25  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/auth-hostbased.c,
	contrib/mod_sftp/auth-publickey.c: Bug#4089 - mod_sftp does not
	allow multiple attempts using a given authentication method.

2014-07-19  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS for backport of fix for Bug#4087.

2014-07-16  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/auth.c,
	tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm: Bug#4087 - mod_sftp
	does not handle "MaxLoginAttempts none" properly.

2014-07-02  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Backport of fix for Bug#4083 to 1.3.5 branch.

2014-07-02  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sql.c: Fix handling of SQLEngine logic in mod_sql,
	which was contributing to test failures when regressing Bug#4083.

2014-07-02  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sql.c,
	tests/t/lib/ProFTPD/Tests/Modules/mod_sql_sqlite.pm: Bug#4083 -
	Using SQLDefaultHomedir with null home results in "No such user".

2014-06-20  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Backport of fix for Bug#4079 to 1.3.5 branch.

2014-06-20  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/fxp.c: Use sftp_msg_write_int() for 32-bit
	values; write_long() is for 64-bit values.

2014-06-20  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sftp/fxp.c: Bug#4079 - Invalid response encoding for
	SFTP space-available request.

2014-06-19  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Updating NEWS for backport of fix for Bug#4077 to 1.3.5
	branch.

2014-06-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_shaper.c: Bug#4077 - ShaperLog not closed/reopened on
	SIGHUP, causing log rotation problems.

2014-06-19  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Backport of fix for Bug#4073 to 1.3.5 branch.

2014-06-18  TJ Saunders <tj@castaglia.org>

	* modules/mod_xfer.c: The heuristic for disabling sendfile support
	when implicit FTPS is used does not need to include the port number;
	having TLS negotiated at the time of session initialization is
	enough.

2014-06-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_tls.c: Remove unnecessary comment.

2014-06-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_tls.c, modules/mod_xfer.c: Bug#4073 - Polycom VOIP
	phones unable to use FTPS data transfers.

2014-05-30  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Update NEWS for backport of fix for Bug#4063.

2014-05-29  tjsaunders <tjsaunders@blackpearlsystems.com>

	* src/fsio.c: Bug#4063 -  Unable to create directory on NFS/CIFS
	partition: Permission denied.

2014-05-30  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS, modules/mod_ls.c: Update NEWS for backport of fix for
	Bug#4069.

2014-05-30  tjsaunders <tjsaunders@blackpearlsystems.com>

	* modules/mod_ls.c: Bug#4069 - NLST -a shows / directory instead of
	the current directory.

2014-05-29  tjsaunders <tjsaunders@blackpearlsystems.com>

	* NEWS: Updated NEWS for backport of fix for Bug#4068.

2014-05-29  tjsaunders <tjsaunders@blackpearlsystems.com>

	* modules/mod_auth.c: Bug#4068 - MaxClients directive doesn't work
	for <Anonymous> sessions.

2014-05-27  TJ Saunders <tj@castaglia.org>

	* src/scoreboard.c: Attempt to mitigate possible cause for Bug#3823
	by replacing use of F_SETLKW when updating scoreboard entries to
	F_SETLK, and handling interruptions.  This should reduce any
	(potentially long) blocking behaviors.

2014-05-23  tjsaunders <tjsaunders@blackpearlsystems.com>

	* include/conf.h, src/fsio.c: Fix AIX build issues, as reported in
	the forums; see:   https://forums.proftpd.org/smf/index.php/topic,11548.0.html

2014-05-18  TJ Saunders <tj@castaglia.org>

	* src/fsio.c: Fix error spotted by travis-ci's clang build.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* NEWS, modules/mod_ls.c,
	tests/t/lib/ProFTPD/Tests/Commands/STAT.pm: Revert the changes for
	Bug#3990 on the 1.3.5 branch; they were mistakenly merged there.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* NEWS, src/log.c: Revert change for Bug#3983 from 1.3.5 branch; it
	was mistakenly merged there.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* Makefile.in: Clean up git files (and travis-ci files) when
	preparing for a release.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* : commit a6179ff80274079de89da21de3d68865dd209ebf Author: TJ
	Saunders <tj@castaglia.org> Date:   Sun May 18 17:15:33 2014 -0700

2014-05-18  TJ Saunders <tj@castaglia.org>

	* NEWS: Update NEWS.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* : Merge pull request #1 from proftpd/stat-response-code-bug3990 Bug#3990 - Use 213 response code for STAT on a file.  We also use
	212 fo...

2014-05-18  TJ Saunders <tj@castaglia.org>

	* contrib/mod_quotatab.c: Style nits; no functional change.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* tests/api/cmd.c: Remove unused variable.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Disable the static code analyzers, for now; they can
	be re-enabled when needed.  Do another configure/build, this time
	with all modules being shared, rather than static.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Have cppcheck write to stdout its errors.  Use normal
	email notifications (i.e. committer).

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Skip checking header files, and unit test files, when
	performing static code analysis.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Still wrestling with cppcheck.  Sigh.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Fix the cppcheck arguments.  Enable PCRE support.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: More tweaks to the static code analysers.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Use the direct email address to the -committers list.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Keep cppcheck from scanning *every* file; use find to
	tell it which file to scan.  Break the `make' and `make check-api'
	steps onto separate lines, for legibility.

2014-05-18  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Start commenting the travis-ci config file.  Add some
	static code analysis in.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Direct email notifications of build success/failures
	to the proftp-committers list.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Enable memcache support.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_sql_postgres.c: Fix another build warning spotted by
	travis-ci.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Make the dependency installations a little easier to
	read.  Build the MySQL and Postgres modules.  Install gettext, so
	that we can use --enable-nls.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* contrib/mod_snmp/asn1.c, contrib/mod_snmp/notify.c,
	contrib/mod_snmp/smi.c, contrib/mod_sql_sqlite.c, src/log.c: Clean
	up build warnings spotted by travis-ci.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Now install the check library, to enable the API/unit
	tests -- and run them.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Need the PAM libraries/headers for some modules.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Build mod_geoip as well; we'll need its geoip library
	dependency as well.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Install more dependencies, and build more modules,
	via travis-ci.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* .travis.yml: Add a .travis.yml file, to start using travis-ci for
	continuous build/integration.  I'm sure we'll get fancier over time.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* src/data.c: Forgot to update copyright dates with last
	modification.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* NEWS, src/log.c: Bug#3983 - Change default SyslogLevel to be
	NOTICE rather than DEBUG.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* NEWS, src/data.c, src/inet.c,
	tests/t/lib/ProFTPD/Tests/Commands/PORT.pm: Bug#3944 -  Session
	closed if active data transfer fails due to "Address already in use"
	error.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* : commit 03aa76e1b15908a509849249e83b0979558b4537 Author: TJ
	Saunders <tj@castaglia.org> Date:   Sat May 17 17:59:10 2014 -0700

2014-05-17  TJ Saunders <tj@castaglia.org>

	* po/Makefile.in: Remove unused po/ directory, which came back with
	the cvs2git conversion.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* po/Makefile.in: Remove unused po/ directory; it came back with the
	cvs2git conversion.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* NEWS: Backport of fix for Bug#4055 to 1.3.5 branch.

2014-05-17  TJ Saunders <tj@castaglia.org>

	* : commit 355d16baf192ec86cd015ec27b9b9f2846e9ded3 Author: TJ
	Saunders <tj@castaglia.org> Date:   Sat May 17 17:46:20 2014 -0700

2014-05-17  TJ Saunders <tj@castaglia.org>

	* : commit 9f2bdb71a310ad3017d17c4a643acb0f3ebd2bae Author: TJ
	Saunders <tj@castaglia.org> Date:   Sat May 17 08:50:52 2014 -0700

2014-05-16  tjsaunders <tjsaunders@blackpearlsystems.com>

	* .gitignore: Ignore the generated man page files via .gitignore,
	too.

2014-05-16  tjsaunders <tjsaunders@blackpearlsystems.com>

	* .gitignore: Improving the .gitignore file.

2014-05-16  tjsaunders <tjsaunders@blackpearlsystems.com>

	* .gitignore: Adding .gitignore file.

2014-05-16  tjsaunders <tjsaunders@blackpearlsystems.com>

	* src/inet.c: Bug#4055: Ignore any ENOPROTOOPT errors when setting
	the IPv6 TCLASS (TOS) flags on the socket; they make for noisier
	logging without providing any actual value to the user/admin.

2014-05-16  tjsaunders <tjsaunders@blackpearlsystems.com>

	* include/version.h: Bump version to reflect new release cycle.

2014-05-15  castaglia <castaglia>

	* NEWS: Preparing for release.

2014-05-15  castaglia <castaglia>

	* ChangeLog: Updated ChangeLog.

2014-05-15  castaglia <castaglia>

	* contrib/dist/rpm/proftpd.spec, include/version.h: Preparing files
	for release.

2014-05-15  castaglia <castaglia>

	* locale/files.txt: Updated list of files for localization.

2014-05-09  castaglia <castaglia>

	* RELEASE_NOTES: Fleshing out release notes for upcoming release.

2014-05-05  castaglia <castaglia>

	* contrib/mod_sql_passwd.c: Use sql_log() instead of pr_log_debug(),
	so that the logging is consistently done in the module.  There may
	still be a few outliers.

2014-05-04  castaglia <castaglia>

	* doc/contrib/mod_sql_passwd.html: Updated SQLPasswordPBKDF2 docs in
	light of Bug#4052.

2014-05-04  castaglia <castaglia>

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sql_passwd.pm: Added
	regression test for Bug#4052.

2014-05-04  castaglia <castaglia>

	* NEWS, contrib/mod_sql_passwd.c: Bug#4052 - Enhance
	SQLPasswordPBKDF2 to support per-user query for settings.

2014-05-04  castaglia <castaglia>

	* doc/contrib/mod_site_misc.html: Emphasize that both acces and mod
	times are set by SITE UTIME.

2014-05-04  castaglia <castaglia>

	* NEWS, modules/mod_facl.c: Bug#4044 - mod_facl prevents a normal
	SIGHUP reload.

2014-05-03  castaglia <castaglia>

	* NEWS, modules/mod_core.c: Bug#4042 - MIC command between RNFR and
	RNTO should not be rejected.

2014-05-02  castaglia <castaglia>

	* NEWS, contrib/mod_exec.c: Bug#4049 - mod_exec should include
	supplemental groups when running commands as logged-in user.

2014-04-30  castaglia <castaglia>

	* contrib/mod_ban.c: As a follow-on to the fix for Bug#4048, add
	some "headroom" to the SHM segment, to allow for multiple
	racing/competing processes incrementing indices.

2014-04-30  castaglia <castaglia>

	* NEWS, contrib/mod_ban.c: Bug#4048 - Race condition in mod_ban can
	lead to segfault of all new connections.

2014-04-28  castaglia <castaglia>

	* modules/mod_xfer.c: Slightly better fix for Bug#4046; less chance
	of overflowing the off_t datatype on filesystems with lots of free
	space.

2014-04-28  castaglia <castaglia>

	* NEWS, modules/mod_xfer.c: Bug#4046 - ALLO command failed because
	of bad size check.

2014-03-26  castaglia <castaglia>

